@echo off
cls

:: Initial Setup of CONTOSO-DC
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET DebugLog=YES
SET AllowChoice=NO
SET CourseID=70667TK
SET MachineRole=CONTOSO-DC

SET LocalFolder=C:\%CourseID%

SET Domain_NetBIOS=CONTOSO
SET Domain_DNS=contoso.com

SET Connection_Name=Lan-Verbindung
SET IP_Address=10.0.0.11
SET IP_Subnet=255.255.255.0
SET IP_Gateway=10.0.0.1
SET IP_DNS=10.0.0.11

echo Initialize %MachineRole%
echo =============================================================================
echo.
echo Voraussetzung:
echo Das Skript muss von einem lokalen Administrator oder mit
echo der Option "Als Administrator ausfuehren" ausgefuehrt werden
echo.

:: CHOICE /T 10 /D Y /M "Sind alle Vorraussetzungen erfuellt? Moechten Sie fortfahren?"
:: IF ERRORLEVEL 2 GOTO :EOF
:: echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo Skript:   %0 >> %LOGFILE%
echo Datum:    %DATE% %TIME% >> %LOGFILE%
echo Benutzer: %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

:: INITIALIZE LOG
icacls %LOGFILE% /grant Benutzer:F 1> nul:
IF %ERRORLEVEL%==0 echo Benutzer erhalten Vollzugriff auf %LOGFILE% & echo Benutzer erhalten Vollzugriff auf %LOGFILE%  >> %LOGFILE%

:: COPY MEDIA TO LOCAL FOLDER
md "%LocalFolder%"
icacls "%LocalFolder%" /grant Benutzer:F 1> nul:
IF %ERRORLEVEL%==0 echo Benutzer erhalten Vollzugriff auf %LocalFolder% & echo Benutzer erhalten Vollzugriff auf %LocalFolder%  >> %LOGFILE%

SET LogStep=Kopiere VMSetup nach %LocalFolder%
xcopy "D:\VMSetup" "%LocalFolder%\VMSetup" /i /e /y /q 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

SET LogStep=Kopiere Practice Files  nach %LocalFolder%
xcopy "D:\Practice Files" "%LocalFolder%\Practice Files" /i /e /y /q 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

netsh interface ipv4 set address name="%Connection_Name%" source=static address=%IP_Address% mask=%IP_Subnet% gateway=%IP_Gateway% gwmetric=1 1> nul:
IF %ERRORLEVEL%==0 echo Setze IPv4-Adresse auf %IP_Address% %IP_Subnet% %IP_Gateway% & echo Setze IPv4-Adresse auf %IP_Address% %IP_Subnet% %IP_Gateway% >> %LOGFILE%

netsh dnsclient set dnsservers name="%Connection_Name%" source=static address=%IP_DNS% register=primary validate=no 1> nul:
IF %ERRORLEVEL%==0 echo Setze primaeren DNS-Server auf %IP_DNS% & echo Setze primaeren DNS-Server auf %IP_DNS% >> %LOGFILE%

netdom renamecomputer %computername% /newname:%MachineRole% /FORCE 1> nul:
IF %ERRORLEVEL%==0 echo Aendere Computernamen in %MachineRole% & echo Aendere Computernamen in %MachineRole% >> %LOGFILE%

echo.
echo Das Skript startet den Computer neu, um den Vorgang abzuschliessen

:Review
echo =============================================================================
echo Abgeschlossen
:: Stelle ERRORLEVEL auf 0
verify >nul
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause fuer eine Pruefung"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
echo.
pause
echo Der Computer wird neu gestartet...
echo Der Computer wird neu gestartet. >> %LOGFILE%
shutdown /t 0 /r

GOTO :EOF