@echo off
cls

:: Post-DCPROMO Configuration of CONTOSO-DC
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET DebugLog=YES
SET AllowChoice=NO
SET CourseID=70667TK
SET MachineRole=%COMPUTERNAME%

SET Connection_Name=LAN-Verbindung
SET IP_DNS=10.0.0.11

echo Configure %MachineRole%
echo =============================================================================
echo.
echo Anforderungen:
echo Das Skript muss von einem lokalen Administrator oder mit
echo der Option "Als Administrator ausfuehren" ausgefuehrt werden
echo.

:: CHOICE /T 10 /D Y /M "Sind alle Vorraussetzungen erfuellt? Moechten Sie fortfahren?"
:: IF ERRORLEVEL 2 GOTO :EOF
:: echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo Skript:   %0 >> %LOGFILE%
echo Datum:    %DATE% %TIME% >> %LOGFILE%
echo Benutzer: %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

netsh dnsclient set dnsservers name="%Connection_Name%" source=static address=%IP_DNS% register=primary validate=no 1> nul:
IF %ERRORLEVEL%==0 echo Setze IPv4-Adresse auf %IP_DNS% & echo Setze IPv4-Adresse auf %IP_DNS% >> %LOGFILE%

reg add HKLM\SYSTEM\CurrentControlSet\Services\NTDS\Parameters /v "Allow Replication with Divergent and Corrupt Partner" /t REG_DWORD /d 1 /f 1> nul:
IF %ERRORLEVEL%==0 echo Allow Replication with Divergent and Corrupt Partner & echo Allow Replication with Divergent and Corrupt Partner >> %LOGFILE%

reg add HKLM\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters /v "RefusePasswordChange" /t REG_DWORD /d 1 /f 1> nul:
IF %ERRORLEVEL%==0 echo Kennwortaenderungen sperren & echo Kennwortaenderungen sperren >> %LOGFILE%

echo.
echo Das Skript startet den Computer neu, um den Vorgang abzuschliessen

:Review
echo =============================================================================
echo Abgeschlossen
:: Stelle ERRORLEVEL auf 0
verify >nul
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause fuer eine Pruefung"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
echo.
pause
echo Der Computer wird neu gestartet...
echo Der Computer wird neu gestartet... >> %LOGFILE%
shutdown /t 0 /r

GOTO :EOF