@echo off
:: cls

:: Populate the CONTOSO domain
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET DebugLog=YES
SET AllowChoice=NO
SET CourseID=70667TK
SET MachineRole=%COMPUTERNAME%

SET Domain_NetBIOS=CONTOSO
SET Domain_DNS=contoso.com
SET User_Password=Pa$$w0rd

echo Erstelle in der Domaene %Domain_NetBIOS% Gruppen und Benutzerkonten.
echo =============================================================================
echo.
echo Voraussetzungen:
echo Melden Sie sich als %Domain_NetBIOS%\Administrator auf dem Domaenencontroller 
echo oder dem SharePoint-Server an.
echo.

:: CHOICE /T 10 /D Y /M "Sind alle Vorraussetzungen erfuellt? Moechten Sie fortfahren?"
:: IF ERRORLEVEL 2 GOTO :EOF
:: echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo Skript:   %0 >> %LOGFILE%
echo Datum:    %DATE% %TIME% >> %LOGFILE%
echo Benutzer: %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

SET LogStep=Erstelle die Organisationseinheit PEOPLE
dsadd ou "OU=People,DC=contoso,DC=com" -desc "People" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% >> %LOGFILE%

SET LogStep=Erstelle die Organisationseinheit GROUPS
dsadd ou "OU=Groups,DC=contoso,DC=com" -desc "Groups" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% >> %LOGFILE%

SET OU_DN=OU=People,DC=contoso,DC=com

SET LogStep=Erstelle das Benutzerkonto Pat Coleman
SET User_CN=Pat Coleman
SET User_SAMID=PatC
SET User_Desc=Manager - Information Technology
SET User_Email=%User_SAMID%@%Domain_DNS%
SET User_Display=Coleman, Pat
SET User_UPN=%User_Email%
CALL :CreateUser

SET LogStep=Erstelle das Benutzerkonto April Meyer
SET User_CN=April Meyer
SET User_SAMID=AprilM
SET User_Desc=Manager - Desktop Support
SET User_Email=%User_SAMID%@%Domain_DNS%
SET User_Display=Meyer, April
SET User_UPN=%User_Email%
CALL :CreateUser

SET LogStep=Erstelle das Benutzerkonto Kevin Cook
SET User_CN=Kevin Cook
SET User_SAMID=KevinC
SET User_Desc=Senior Vice President - Marketing
SET User_Email=%User_SAMID%@%Domain_DNS%
SET User_Display=Cook, Kevin
SET User_UPN=%User_Email%
CALL :CreateUser

SET LogStep=Erstelle das Benutzerkonto Lola Jacobsen
SET User_CN=Lola Jacobsen
SET User_SAMID=LolaJ
SET User_Desc=Senior Manager - Finance
SET User_Email=%User_SAMID%@%Domain_DNS%
SET User_Display=Jacobsen, Lola
SET User_UPN=%User_Email%
CALL :CreateUser

SET LogStep=Erstelle das Benutzerkonto Toni Poe
SET User_CN=Toni Poe
SET User_SAMID=ToniP
SET User_Desc=Chief Sales and Marketing Officer
SET User_Email=%User_SAMID%@%Domain_DNS%
SET User_Display=Poe, Toni
SET User_UPN=%User_Email%
CALL :CreateUser

SET LogStep=Erstelle das Benutzerkonto Julian Isla
SET User_CN=Julian Isla
SET User_SAMID=JulianI
SET User_Desc=Manager - Business Development
SET User_Email=%User_SAMID%@%Domain_DNS%
SET User_Display=Isla, Julian
SET User_UPN=%User_Email%
CALL :CreateUser

SET LogStep=Erstelle die Gruppe Marketing
dsadd group "CN=Marketing,OU=Groups,DC=contoso,DC=com" -secgrp yes -scope g 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep% >> %LOGFILE%

SET LogStep=Erstelle die Gruppe Senior Managers
dsadd group "CN=Senior Managers,OU=Groups,DC=contoso,DC=com" -secgrp yes -scope g 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep% >> %LOGFILE%

:Review
echo =============================================================================
echo Abgeschlossen
:: Stelle ERRORLEVEL auf 0
verify >nul
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause fuer eine Pruefung"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
echo.
GOTO :EOF

:: SUBROUTINE

:CreateUser

dsadd user "CN=%User_CN%,%OU_DN%" -samid %User_SAMID% -desc "%User_Desc%" -pwd %User_Password% -pwdneverexpires yes -email "%User_Email%" -display "%User_Display%" -upn "%User_UPN%" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep% >> %LOGFILE%

goto :EOF
:: Returns from subroutine