@echo off
:: cls


:: Machine Customizations
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET CourseID=70667TK
SET DebugLog=YES
SET AllowChoice=NO
SET MachineRole=%COMPUTERNAME%

echo Konfiguration des Computers
echo =============================================================================
echo.
echo Voraussetzung:
echo Das Skript muss von einem lokalen Administrator oder mit
echo der Option "Als Administrator ausfuehren" ausgefuehrt werden
echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo Skript:   %0 >> %LOGFILE%
echo Datum:    %DATE% %TIME% >> %LOGFILE%
echo Benutzer: %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

pushd "%~dp0"
GOTO Disable_IEESC

:Disable_IEESC
SET LogStep=Deaktiviere IE ESC fuer Benutzer und Administratoren
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO Administrator-PWNEXP
call "%~dp0Disable_IEESC\Disable_IEESC.bat" > nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Administrator-PWNEXP
SET LogStep=Das Kennwort eines lokalen Administrators laeuft nie ab
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO DisplayResolution_Set
cscript //nologo "%~dp0Administrator-PWNEXP.vbs" > nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:DisplayResolution_Set
SET LogStep=Aendere die Bildschirmaufloesung auf 1024x768
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO Firewall-RemoteAdminException
cscript //nologo "%~dp0DisplayResolution_Set.vbs" > nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Firewall-RemoteAdminException
SET LogStep=Fuege eine Remoteverwaltungsregel zur Firewall hinzu
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO IE_FirstRun_Disable
call "%~dp0Firewall-RemoteAdminException.bat" > nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:IE_FirstRun_Disable
SET LogStep=Deaktiviere die Eingabeaufforderung beim ersten IE-Start
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO InitialConfigurationTasks_OOBE_Disable
regedit /s "IE_FirstRun_Disable.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:InitialConfigurationTasks_OOBE_Disable
SET LogStep=Deaktiviere die Oeffung der Aufgaben der Erstkonfiguration (oobe.exe) bei der Anmeldung
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO RemoteDesktop_Enable
regedit /s "InitialConfigurationTasks_OOBE_Disable.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:WindowsUpdate_Disable
SET LogStep=Deaktiviere Windows Update und die Office-Pruefung auf Updates
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO Review
regedit /s "WindowsUpdate_Disable.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Review
echo ======================================================================
echo Konfiguration des Computers abgeschlossen
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause fuer eine Pruefung..."
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
popd
GOTO :EOF
