@echo off
:: cls

:: User Experience Customizations
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET CourseID=70667TK
SET DebugLog=YES
SET AllowChoice=NO
SET MachineRole=%COMPUTERNAME%

echo USER CONFIGURATION
echo =============================================================================
echo.
echo Voraussetzung:
echo Das Skript muss von einem lokalen Administrator oder mit
echo der Option "Als Administrator ausfuehren" ausgefuehrt werden
echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo Skript:   %0 >> %LOGFILE%
echo Datum:    %DATE% %TIME% >> %LOGFILE%
echo Benutzer: %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

pushd "%~dp0"
GOTO Load_Default_Profile

:Load_Default_Profile
SET LogStep=Load DEFAULT USER registry hive
reg load HKU\DefaultUser c:\users\default\NTUSER.DAT 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

echo ----------------------------------------------------------------------
SET LogStep=Starte ALL USERS: Aenderungen betreffen alle Benutzer
echo %LogStep% & echo %LogStep% >> %LOGFILE%
echo.

:IE_HomePage_Intranet_Default
SET LogStep=Stelle intranet.contoso.com als IE-Startseite ein
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO IE_IntranetZone_Contoso_Default
regedit /s "%~dp0IE_HomePage_Intranet_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:IE_IntranetZone_Contoso_Default
SET LogStep=Fuege contoso.com zur IE-Sicherheitszone Intranet hinzu
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO KeyboardLayouts_Default
regedit /s "%~dp0IE_IntranetZone_Contoso_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Office2010_FirstRun_Disable_Default
SET LogStep=Sperre die Startabfragen von Office 2010
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO Performance_VisualEffects_Disable
regedit /s "%~dp0Office2010_FirstRun_Disable_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Performance_VisualEffects_Disable
SET LogStep=Deaktiviere zur Leistungsoptimierung visuelle Explorereffekte
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO ServerManager_Startup_Disable_Default
regedit /s "%~dp0Performance_VisualEffects_Disable.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:ServerManager_Startup_Disable_Default
SET LogStep=Verhindere den Start des Server-Managers bei der Anmeldung
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO ZoomIt_EULA_Default
regedit /s "%~dp0ServerManager_Startup_Disable_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Review_HKU
SET LogStep=Ende von ALL USERS
echo %LogStep%
echo ----------------------------------------------------------------------
echo.
echo %LogStep% >> %LOGFILE%
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause zur Ueberpruefung von HKU\DefaultUser"
IF ERRORLEVEL 1 pause
GOTO Unload_DefaultUser

:Unload_DefaultUser
echo.
SET LogStep=Entferne Registrierungshive HKU\DefaultUser
reg unload HKU\DefaultUser 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Review
echo ======================================================================
echo USER-Konfiguration abgeschlossen
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause zur Ueberpruefung"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
popd
GOTO :EOF